Subject: Re: 30.0.50; cmcheckmagic aborts when tty_write_glyphs writes "Garbage collecting..." in some cases

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Jun 2024 19:25:52 +0300

> From: Daniel Clemente <[email-masked]>
> Date: Mon, 3 Jun 2024 15:36:05 +0000
> Cc: Eli Zaretskii <[email-masked]>
> 
> I still don't have a way to reproduce this, but the following recipe
> seems to improve the chances:
> (setq garbage-collection-messages t)
> 
> Then run some operation that clearly triggers GC. For instance I'm
> using this formula (better ideas welcome):
> (setq gc-cons-threshold 100000)
> (cl-loop for i from 3000000 downto 1 do (+ 2.00 (+ 2.0 (+ 2.0 (+ 2.0
> (+ 2.0 2.0))))))
> 
> While that operation is running (you'll repeatedly see "Garbage
> collecting" "… done"), resize the terminal constantly until it
> crashes.

It doesn't crash for me.

> But sometimes I can't reproduce it at all with this method!
> And never could I in emacs -Q

So maybe you could bisect your init files and find the
customization(s) which make the reproduction possible?  Because I
cannot reproduce any of this here, no matter what I try.